#pragma once
#include "afxwin.h"


// CDlg_AddOpenings dialog

class CDlg_AddOpenings : public CDialog
{
	DECLARE_DYNAMIC(CDlg_AddOpenings)

public:
	CDlg_AddOpenings(CWnd* pParent = NULL);   // standard constructor
	virtual ~CDlg_AddOpenings();

// Dialog Data
	enum { IDD = IDD_ADDOPENINGS };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnInitDialog();
	afx_msg void AddStringsToAddOpeningsDlg();
	afx_msg void ReadPreviousInputsFromAddOpeningsDlg();
	afx_msg void ReadInputsFromAddOpeningsDlg();

	DECLARE_MESSAGE_MAP()
public:
	int m_btnWall;
	int m_btnRoof;
	CEdit m_editWall1Name;
	CEdit m_editWall2Name;
	CEdit m_editWall3Name;
	CEdit m_editWall4Name;
	CEdit m_editWall5Name;
	CEdit m_editWall6Name;
	CEdit m_editWall7Name;
	CEdit m_editWall8Name;
	CEdit m_editWall9Name;
	CEdit m_editWall10Name;
	//CEdit m_editRoof1Name;
	CEdit m_editRoof1Name;
	CEdit m_editRoof2Name;
	CEdit m_editRoof3Name;
	CEdit m_editRoof4Name;
	CEdit m_editRoof5Name;
	CEdit m_editRoof6Name;
	CEdit m_editRoof7Name;
	CEdit m_editRoof8Name;
	CEdit m_editRoof9Name;
	CEdit m_editRoof10Name;
	CButton m_btnWall1;
	CButton m_btnWall2;
	CButton m_btnWall3;
	CButton m_btnWall4;
	CButton m_btnWall5;
	CButton m_btnWall6;
	CButton m_btnWall7;
	CButton m_btnWall8;
	CButton m_btnWall9;
	CButton m_btnWall10;
	CButton m_btnRoof1;
	CButton m_btnRoof2;
	CButton m_btnRoof3;
	CButton m_btnRoof4;
	CButton m_btnRoof5;
	CButton m_btnRoof6;
	CButton m_btnRoof7;
	CButton m_btnRoof8;
	CButton m_btnRoof9;
	CButton m_btnRoof10;
	CEdit m_editNumofOpeningsWall1;
	CEdit m_editNumofOpeningsWall2;
	CEdit m_editNumofOpeningsWall3;
	CEdit m_editNumofOpeningsWall4;
	CEdit m_editNumofOpeningsWall5;
	CEdit m_editNumofOpeningsWall6;
	CEdit m_editNumofOpeningsWall7;
	CEdit m_editNumofOpeningsWall8;
	CEdit m_editNumofOpeningsWall9;
	CEdit m_editNumofOpeningsWall10;
	CEdit m_editNumofOpeningsRoof1;
	CEdit m_editNumofOpeningsRoof2;
	CEdit m_editNumofOpeningsRoof3;
	CEdit m_editNumofOpeningsRoof4;
	CEdit m_editNumofOpeningsRoof5;
	CEdit m_editNumofOpeningsRoof6;
	CEdit m_editNumofOpeningsRoof7;
	CEdit m_editNumofOpeningsRoof9;
	CEdit m_editNumofOpeningsRoof8;
	CEdit m_editNumofOpeningsRoof10;
	CEdit m_editOpeningName;
	CString str_editWall1Name;
	CString str_editWall2Name;
	CString str_editWall3Name;
	CString str_editWall4Name;
	CString str_editWall5Name;
	CString str_editWall6Name;
	CString str_editWall7Name;
	CString str_editWall8Name;
	CString str_editWall9Name;
	CString str_editWall10Name;
	CString str_editNumofOpeningsWall1;
	CString str_editNumofOpeningsWall2;
	CString str_editNumofOpeningsWall3;
	CString str_editNumofOpeningsWall4;
	CString str_editNumofOpeningsWall5;
	CString str_editNumofOpeningsWall6;
	CString str_editNumofOpeningsWall7;
	CString str_editNumofOpeningsWall8;
	CString str_editNumofOpeningsWall9;
	CString str_editNumofOpeningsWall10;
	CString str_editRoof1Name;
	CString str_editRoof2Name;
	CString str_editRoof3Name;
	CString str_editRoof4Name;
	CString str_editRoof5Name;
	CString str_editRoof6Name;
	CString str_editRoof7Name;
	CString str_editRoof8Name;
	CString str_editRoof9Name;
	CString str_editRoof10Name;
	CString str_editNumofOpeningsRoof1;
	CString str_editNumofOpeningsRoof2;
	CString str_editNumofOpeningsRoof3;
	CString str_editNumofOpeningsRoof4;
	CString str_editNumofOpeningsRoof5;
	CString str_editNumofOpeningsRoof6;
	CString str_editNumofOpeningsRoof7;
	CString str_editNumofOpeningsRoof8;
	CString str_editNumofOpeningsRoof9;
	CString str_editNumofOpeningsRoof10;
	CString str_editOpeningName;
	afx_msg void OnEnChangeEdit25();
	afx_msg void OnBnClickedCheck1();
	afx_msg void OnBnClickedCheck2();
	afx_msg void OnBnClickedCheck3();
	afx_msg void OnBnClickedCheck4();
	afx_msg void OnBnClickedCheck5();
	afx_msg void OnBnClickedCheck6();
	afx_msg void OnBnClickedCheck13();
	afx_msg void OnBnClickedCheck7();
	afx_msg void OnBnClickedCheck8();
	afx_msg void OnBnClickedCheck14();
	afx_msg void OnEnChangeEdit11();
	afx_msg void OnEnChangeEdit22();
	afx_msg void OnEnChangeEdit23();
	afx_msg void OnEnChangeEdit27();
	afx_msg void OnEnChangeEdit28();
	afx_msg void OnEnChangeEdit29();
	afx_msg void OnEnChangeEdit30();
	afx_msg void OnEnChangeEdit31();
	afx_msg void OnEnChangeEdit33();
	afx_msg void OnEnChangeEdit32();
	afx_msg void OnBnClickedCheck9();
	afx_msg void OnBnClickedCheck10();
	afx_msg void OnBnClickedCheck15();
	afx_msg void OnBnClickedCheck11();
	afx_msg void OnBnClickedCheck16();
	afx_msg void OnBnClickedCheck12();
	afx_msg void OnBnClickedCheck17();
	afx_msg void OnBnClickedCheck18();
	afx_msg void OnBnClickedCheck19();
	afx_msg void OnBnClickedCheck21();
	afx_msg void OnEnChangeEdit34();
	afx_msg void OnEnChangeEdit43();
	afx_msg void OnEnChangeEdit44();
	afx_msg void OnEnChangeEdit45();
	afx_msg void OnEnChangeEdit46();
	afx_msg void OnEnChangeEdit47();
	afx_msg void OnEnChangeEdit48();
	afx_msg void OnEnChangeEdit51();
	afx_msg void OnEnChangeEdit49();
	afx_msg void OnEnChangeEdit50();
	afx_msg void OnBnClickedOk();
	CComboBox m_comboListOpenings;
	CString str_comboListOpenings;
	afx_msg void OnCbnSelchangeCombo5();
	
};

//---------------------------------------------
// ADD OPENINGS VARIABLES
//---------------------------------------------
extern CString isOpeningRoof1Selected;
extern CString isOpeningRoof2Selected;
extern CString isOpeningRoof3Selected;
extern CString isOpeningRoof4Selected;
extern CString isOpeningRoof5Selected;
extern CString isOpeningRoof6Selected;
extern CString isOpeningRoof7Selected;
extern CString isOpeningRoof8Selected;
extern CString isOpeningRoof9Selected;
extern CString isOpeningRoof10Selected;

extern CString isOpeningWall1Selected;
extern CString isOpeningWall2Selected;
extern CString isOpeningWall3Selected;
extern CString isOpeningWall4Selected;
extern CString isOpeningWall5Selected;
extern CString isOpeningWall6Selected;
extern CString isOpeningWall7Selected;
extern CString isOpeningWall8Selected;
extern CString isOpeningWall9Selected;
extern CString isOpeningWall10Selected;

extern int multiplierOpeningRoof1;
extern int multiplierOpeningRoof2;
extern int multiplierOpeningRoof3;
extern int multiplierOpeningRoof4;
extern int multiplierOpeningRoof5;
extern int multiplierOpeningRoof6;
extern int multiplierOpeningRoof7;
extern int multiplierOpeningRoof8;
extern int multiplierOpeningRoof9;
extern int multiplierOpeningRoof10;

extern int multiplierOpeningWall1;
extern int multiplierOpeningWall2;
extern int multiplierOpeningWall3;
extern int multiplierOpeningWall4;
extern int multiplierOpeningWall5;
extern int multiplierOpeningWall6;
extern int multiplierOpeningWall7;
extern int multiplierOpeningWall8;
extern int multiplierOpeningWall9;
extern int multiplierOpeningWall10;